format_bib = function(...) {
  str = vapply(list(...), function(entry) tools::toRd(bibentries[[entry]]), FUN.VALUE = "")
  paste0(str, collapse = "\n\n")
}

#' @importFrom utils bibentry
bibentries = c(
  bischl_2012 = bibentry("article",
    title = "Resampling Methods for Meta-Model Validation with Recommendations for Evolutionary Computation",
    author       = "Bernd Bischl and Olaf Mersmann and Heike Trautmann and Claus Weihs",
    year         = "2012",
    month        = "jun",
    journal      = "Evolutionary Computation",
    publisher    = "MIT Press - Journals",
    volume       = "20",
    number       = "2",
    pages        = "249--275",
    doi          = "10.1162/evco_a_00069"
  ),

  breiman_1984 = bibentry("book",
    title        = "Classification And Regression Trees",
    author       = "Leo Breiman and Jerome H. Friedman and Richard A. Olshen and Charles J. Stone",
    year         = "1984",
    publisher    = "Routledge",
    doi          = "10.1201/9781315139470"
  ),

  dua_2017 = bibentry("misc",
    title        = "{UCI} Machine Learning Repository",
    author       = "Dua, Dheeru and Graff, Casey",
    year         = "2017",
    url          = "http://archive.ics.uci.edu/ml/",
    institution  = "University of California, Irvine, School of Information and Computer Sciences"
  ),

  sasaki_2007 = bibentry("article",
    title        = "The truth of the F-measure",
    author       = "Sasaki, Yutaka",
    year         = "2007",
    journal      = "Teach Tutor mater",
    volume       = "1",
    number       = "5",
    pages        = "1--5",
    url          = "https://www.cs.odu.edu/~mukka/cs795sum10dm/Lecturenotes/Day3/F-measure-YS-26Oct07.pdf"
  ),

  gromping_2019 = bibentry("techreport",
    title        = "South German Credit Data: Correcting a Widely Used Data Set",
    author       = "Ulrike Gr\u00f6mping",
    year         = "2019",
    number       = "4",
    url          = "http://www1.beuth-hochschule.de/FB_II/reports/Report-2019-004.pdf",
    type         = "Reports in Mathematics, Physics and Chemistry",
    institution  = "Department II, Beuth University of Applied Sciences Berlin"
  ),

  fisher_1936 = bibentry("article",
    title        = "The Use of Multiple Measurements in Taxonomic Problems",
    author       = "R. A. Fisher",
    year         = "1936",
    month        = "sep",
    journal      = "Annals of Eugenics",
    publisher    = "Wiley",
    volume       = "7",
    number       = "2",
    pages        = "179--188",
    doi          = "10.1111/j.1469-1809.1936.tb02137.x"
  )
)
